package cn.estsh.i3plus.core.api.iservice.base;

/**
 * @Description :   service服务，根据方法名自动添加事务
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 16:57
 * @Modify:
 **/
public interface IDataSimpleService {

    //void saveMachineFactory(MachineFactory machineFactory);

    /*@Transactional
    void updateMachineFactoryNameById(long id, String factoryName);

    @Transactional
    void deleteMachineFactoryById(long id);

    *//**
     * 根据工厂名称查询
     * @param factoryName
     * @return
     *//*
    @Transactional(readOnly = true)
    List<MachineFactory> findMachineFactoryByFactoryName(String factoryName);

    *//**
     * 根据code查询
     * @param factoryCode
     * @return
     *//*
    @Transactional(readOnly = true)
    List<MachineFactory> findMachineFactoryByFactoryCode(String factoryCode);

    *//**
     * 特殊查询
     * @return
     *//*
    @Transactional(readOnly = true)
    List<MachineFactory> findMachineFactorySpecial();*/
}
